/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams. URLs shamelessly stolen from Cool-Streams.xml.               #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#   (C)       2008 Georges Dubus <georges.dubus@supelec.fr>               #
#   (C)       2008 Nickolay Bunev <just4nick@gmail.com>                   #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url, description )
{
    this.name = name;
    this.url = url;
    this.description = description;
}


categories = new Object;


categories["National Broadcast"]= new Array (
new Station( "Radio 1 Rock",    "http://www.radio1rock.bg/radio1rockhi.m3u", "Едно Рок Радио" ),
new Station( "Radio 1",     "http://radio1rock.bg/radio1hi.m3u", "Класическите Хитове" ),
new Station( "Radio Star FM",     "http://inforadio.atlantis.bg:8000/inforadio.ogg.m3u", "Класика в Рока" ),
new Station( "BG Radio",     "http://www.predavatel.com/play/bgradio.m3u", "Само Българска Музика" ),
new Station( "Darik Radio",     "http://mp3.orbitel.bg:8000/darik.m3u", "Излъчваме история" ),
new Station( "Radio Z-Rock",     "http://www.predavatel.com/play/zrock.m3u", "Рок радиото на България" ),
new Station( "Radio NRJ",     "http://www.predavatel.com/play/nrj.m3u", "Hit Music Only" ),
new Station( "Radio N-JOY",     "http://www.predavatel.com/play/njoy.m3u", "Enjoy the Music" ),
new Station( "Radio FM+",     "http://www.predavatel.com/play/fmplus.m3u", "Музиката, която обичаме" ),
//new Station( "Alpha Radio",     "http://alpharadio.bg:8000/mp3high.m3u", "" ), # stream-a ne raboti
new Station( "Radio Fresh!",     "http://www.predavatel.com/play/fresh.m3u", "Хитовете Днес" )
);
categories["Sofia District Broadcast"]= new Array (
new Station( "Radio Nova",      "http://www.predavatel.com/play/nova.m3u", "Just Listen" ),
new Station( "Radio Melody",     "http://www.predavatel.com/play/bg_melody.m3u", "Златни и Завинаги" ),
new Station( "Alma Mater-Classic FM Radio",     "http://www.predavatel.com/play/almaclassic.m3u", "" ),
new Station( "Radio K2 News",     "http://radiok2.bg/radiok2.m3u", "" ),
new Station( "Jazz FM Radio",     "http://www.predavatel.com/play/jazz.m3u", "Защото музиката, има значение" )
);
categories["Southern Bulgaria Broadcast"]= new Array (
new Station( "KATRA FM Plovdiv", "http://katrafm.com:8000/listen.pls", "Contemporary Hit Radio" ),
new Station( "Radio Stara Zagora", "http://broadcast.spnet.net:8000/sz-high.m3u", "BNR" ),
//new Station( "Radio Plovdiv", "http://80.80.147.102:8008/listen.pls", "BNR" ), # stream-a ne raboti
new Station( "Vis Vitalis", "http://online.vvitalis.com/Vvitalis.m3u", "Животът, както звучи" )
);
categories["Southwestern Bulgaria Broadcast"]= new Array (
new Station( "Krakra Radio", "http://krakra.net:4711/listen.pls", "" ),
new Station( "Radio Vega+ Blagoevgrad", "http://www.ultranet.biz/vegablagoevgrad.m3u", "Blagoevgrad" ),
new Station( "Radio Vega+ Sandanski", "http://www.ultranet.biz/vegasandanski.m3u", "Petrich, Sandanski" ),
new Station( "Radio Blagoevgrad", "http://radioblg.com:8000/listen.pls", "BNR" ),
//new Station( "Radio AURA", "http://www.radioaura.com/modules/mod_hidrashoutcast/playlists/listen.m3u", "AURA Blagoevgrad" ), # stream-a ne raboti
new Station( "Radio Gea", "http://83.228.20.184:8000/listen.pls", "Та нали това е радиото" ),
//new Station( "Radio Bella", "http://89.190.212.172:8000/listen.pls", "" ), # stream-a ne raboti
//new Station( "Radio Duga", "http://www.radiodaga.com/radio_daga.m3u", "" ), # stream-a ne raboti
new Station( "Radio Aurea", "http://194.146.233.2:8000/radio.ogg.m3u", "" )
);
categories["Eastern Bulgaria Broadcast"]= new Array (
new Station( "Radio Bravo", "http://bravo.neterra.net:8000/live.m3u", "Вашия морски приятел" ),
new Station( "Radio Glarus Mixx", "http://streaming.ibhosting-bg.com:8000/listen.pls", "Животът, както звучи" ),
new Station( "Radio Maya", "http://mail.rntel.com:9000/listen.pls", "Чуйте Музиката" ),
new Station( "Radio Varna", "http://212.56.1.60:8000/live.m3u", "BNR" ),
new Station( "Radio Dobrudja", "http://radio.dobrich.net:8000/RADIO_DOBRUDJA.ogg.m3u", "" ),
new Station( "Forte Radio", "http://www.forteradio.com/forte-winamp.m3u", "" )
);
categories["Northern Bulgaria Broadcast"]= new Array (
new Station( "Radio Tempo Ruse", "http://www.radiotempo.bg/images/tempo128.m3u", "" ),
//new Station( "Radio Menes Silistra", "http://sf.net1.cc:8888/Menes.ogg.m3u", "Ритъмът на живота" ), # ne rabotesh stream
//new Station( "Radio Melody Silistra", "http://sf.net1.cc:8888/Melody.ogg.m3u", "" ), # ne rabotesh stream
new Station( "Radio HotFM Vratsa", "http://mux.ffm.bg:8080/hot-vr.m3u", "" ),
new Station( "Radio NRT Targovishte", "http://87.120.152.172:8000/listen.pls", "" ),
new Station( "Radio BERKK", "http://89.106.96.198:8000/radioberkk.ogg.m3u", "" ),
new Station( "Radio Sky Vidin", "http://83.228.26.22:8000/live.m3u", "" )
);
categories["EILO Group"]= new Array (
new Station( "EILO Progressive",        "http://eilo.org:8000/progressive.m3u", "" ),                  
new Station( "EILO Psychidelic",        "http://eilo.org:8000/psychedelic.m3u", "" ),                  
new Station( "EILO Ambient Chill",      "http://eilo.org:8000/ambient.m3u", "" ),
new Station( "EILO Trance",      "http://eilo.org:8000/trance.m3u", "" ),
new Station( "EILO Techno",      "http://eilo.org:8000/techno.m3u", "" ),
new Station( "EILO Minimal",      "http://eilo.org:8000/minimal.m3u", "" ),
new Station( "EILO Mixotic",      "http://eilo.org:8000/mixotic.m3u", "" ),
new Station( "EILO Happy Hardcore",      "http://eilo.org:8000/hard.m3u", "" ),
new Station( "EILO Drum & Bass",      "http://eilo.org:8000/drum.m3u", "" ),
new Station( "EILO House",      "http://eilo.org:8000/house.m3u", "" )
);
categories["PRO FM Group"]= new Array (
new Station( "PROFM Black",        "http://live.profm.bg/black.mp3.m3u", "" ),
new Station( "PROFM Latino",        "http://live.profm.bg/latino.mp3.m3u", "" ),
new Station( "PROFM Love",      "http://live.profm.bg/love.mp3.m3u", "" ),
new Station( "PROFM Hot",      "http://live.profm.bg/hot.mp3.m3u", "" ),
new Station( "PROFM ChillOut",      "http://live.profm.bg/chillout.mp3.m3u", "" )
);
categories["Online Pop, Dance, Eurodance"]= new Array (
new Station( "Radio Dance With Me",        "http://dwm.bg/dancewithme.m3u", "" ),
new Station( "Radio Cyber Dance",        "http://dwm.bg/cyberdance.m3u", "" ),
new Station( "Radio Viva.BG",        "http://radioviva.bg/play/play.m3u", "" ),
new Station( "Radio Mix-BG",        "http://www.mixbg.net/RadioMix.m3u", "" ),
new Station( "Radio JOY",     "http://radiojoy.net/mp3u/radiojoy128.m3u", "Само Хитове" ),
new Station( "Radio ORV",      "http://radioorv.com/128.m3u", "" )
);
categories["Online Retro, Oldies, Jazz"]= new Array (
new Station( "Radio Propaganda",        "http://www.radio-propaganda.net/live/live.m3u", "" ),
new Station( "Party Radio",        "http://radio.networx-bg.com:8014/listen.pls", "" ),
new Station( "Radio TS Gabrovo",        "http://213.91.186.1:8008/listen.pls", "" ),
//new Station( "Deejay Radio",      "http://deejay.evrocom.net:8000/listen.pls", "" ), # stream-a ne raboti
new Station( "JazzFM Lounge",      "http://pulsar.atlantis.bg:8000/JazzFMLounge.ogg.m3u", "" )
);
categories["Online Rock, Alternative"]= new Array (
new Station( "I Hate Mondays Radio",     "http://77.70.53.35:8000/listen.pls", "I Hate Mondays" ),
new Station( "Freedom Radio",     "http://213.91.167.34:8000/listen.pls", "Freedom Radio Gabrovo" ),
//new Station( "Radio Tochka Stroezha",   "http://radio.stroeja.com:8000/stroejo.ogg.m3u", "Радиоточка Строежа" ), # stream-a ne raboti
new Station( "Radio Tangra Mega Rock",     "http://stream-bg-01.radiotangra.com:8000/Tangra-high.m3u", "Tangra Mega Rock" )
);
categories["Online Electro, House, Trance, D'n'B"]= new Array (
new Station( "PowerNet Chillout",       "http://radio.powernet.bg/ambient.pls", "" ),
new Station( "PowerNet Psy-Trance",     "http://radio.powernet.bg/psychedelic.pls", "" ),
// new Station( "Voice of House",     "http://amsterdam.voiceofhouse.net:8888/VoiceOfHouse.ogg.m3u", "" ), # stream-a, ne raboti
new Station( "Vibes Radio",     "http://195.24.54.14:8000/listen.pls", "" ),
new Station( "Traffic Radio",     "http://radio.networx-bg.com:8002/listen.pls", "" )
);
categories["Radio Fokus Group"]= new Array (
new Station( "Radio Focus Sofia",     "http://online.focus-radio.net:8100/sofia.m3u", "Информационният лидер" ),
new Station( "Radio Focus Blagoevgrad",     "http://online.focus-radio.net:8100/pirin.m3u", "Информационният лидер" ),
new Station( "Radio Focus Burgas",     "http://online.focus-radio.net:8100/bs.m3u", "Информационният лидер" ),
new Station( "Radio Focus Varna",     "http://online.focus-radio.net:8100/varna.m3u", "Информационният лидер" ),
new Station( "Radio Focus Veliko Tarnovo",     "http://online.focus-radio.net:8100/vt.m3u", "Информационният лидер" ),
new Station( "Radio Focus Vidin",     "http://online.focus-radio.net:8100/vidin.m3u", "Информационният лидер" ),
new Station( "Radio Focus Pazardjik",     "http://online.focus-radio.net:8100/pazardjik.m3u", "Информационният лидер" ),
new Station( "Radio Focus Shumen",     "http://online.focus-radio.net:8100/shumen.m3u", "Информационният лидер" ),
new Station( "Radio Focus Smolian",     "http://online.focus-radio.net:8100/smolian.m3u", "Информационният лидер" ),
new Station( "Radio Focus Sliven",     "http://online.focus-radio.net:8100/sliven.m3u", "Информационният лидер" ),
new Station( "Radio Focus Kiustendil",     "http://online.focus-radio.net:8100/kn.m3u", "Информационният лидер" )
);


function RadioBG()
{
    Amarok.debug( "creating Bulgarian Radio Streams service..." );
    ScriptableServiceScript.call( this, "Bulgarian Radio Streams", 2, "List of some Bulgarian Online Radio Stations", "List of some Bulgarian Online Radio Stations", false );
    Amarok.debug( "done." );
}


function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
            Amarok.debug ("att: " + att + ", " + categories[att].name)
           
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Populating station level..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.infoHtml = stationArray[i].description;
                item.artist = "Online Radio";
		script.insertItem( item );
	}
	script.donePopulating();
    }
}


script = new RadioBG();
script.populate.connect( onPopulating );
